Pipelines
Copy a pipeline
Send an optional name to copy the pipeline, including its configuration and dataset binding, within its project. Returns the new pipeline’s metadata. Use GET /api/v2-beta/pipelines/{pipelineId}/graph with the new pipeline ID to read the copied configuration.
POST
TypeScript SDK
Authorizations
Path Parameters
Body
application/json
Response
Pipeline copied
A pipeline within a project.
Time the pipeline was created, as an ISO 8601 timestamp.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$Time the pipeline was last updated, as an ISO 8601 timestamp.
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d:[0-5]\d(?:\.\d+)?(?:Z))$